using Refit;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using iElection.Models.Api;
using iElection.Models.Config;
using iElection.Models.Dto;

namespace iElection.Services.Rest
{
    public interface IAccountApiRest
    {

        [Post("/LoginUser")]
        Task<ApiResult<LoginRespond>> LoginUser([Body] LoginRequest loginRequest);
        [Post("/RegisterUser")]
        Task<ApiResult<LoginRespond>> RegisterUser([Body] RegisterDto registerDto);
        [Post("/ForgetPassUser/{phone}")]
        Task<ApiResult<LoginRespond>> ForgetPassUser(string phone);
    }
}
